Package org.eclipse.viatra.query.runtime.ui

## Class ViatraQueryRuntimeUIPlugin

- java.lang.Object
- - org.eclipse.core.runtime.Plugin
  - - org.eclipse.ui.plugin.AbstractUIPlugin
    - - org.eclipse.viatra.query.runtime.ui.ViatraQueryRuntimeUIPlugin

- All Implemented Interfaces:
    `org.osgi.framework.BundleActivator`

      public class ViatraQueryRuntimeUIPlugin
      extends org.eclipse.ui.plugin.AbstractUIPlugin

  The activator class controls the plug-in life cycle

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `PLUGIN_ID` | The plug-in ID

    - ### Fields inherited from class org.eclipse.core.runtime.Plugin

      `PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ViatraQueryRuntimeUIPlugin()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ViatraQueryRuntimeUIPlugin` | `getDefault()` | Returns the shared instance
    `void` | `logException​(java.lang.String message, java.lang.Throwable exception)` |
    `void` | `start​(org.osgi.framework.BundleContext context)` |
    `void` | `stop​(org.osgi.framework.BundleContext context)` |

    - ### Methods inherited from class org.eclipse.ui.plugin.AbstractUIPlugin

      `createImageRegistry, getDialogSettings, getImageRegistry, getPreferenceStore, getWorkbench, imageDescriptorFromPlugin, initializeDefaultPluginPreferences, initializeDefaultPreferences, initializeImageRegistry, loadDialogSettings, loadPreferenceStore, refreshPluginActions, saveDialogSettings, savePreferenceStore, shutdown, startup`

    - ### Methods inherited from class org.eclipse.core.runtime.Plugin

      `find, find, getBundle, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PLUGIN_ID

          public static final java.lang.String PLUGIN_ID

      The plug-in ID
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ViatraQueryRuntimeUIPlugin

          public ViatraQueryRuntimeUIPlugin()

  - ### Method Detail

    - #### start

          public void start​(org.osgi.framework.BundleContext context)
                     throws java.lang.Exception

      Specified by:
        `start` in interface `org.osgi.framework.BundleActivator`
      Overrides:
        `start` in class `org.eclipse.ui.plugin.AbstractUIPlugin`
      Throws:
        `java.lang.Exception`

    - #### stop

          public void stop​(org.osgi.framework.BundleContext context)
                    throws java.lang.Exception

      Specified by:
        `stop` in interface `org.osgi.framework.BundleActivator`
      Overrides:
        `stop` in class `org.eclipse.ui.plugin.AbstractUIPlugin`
      Throws:
        `java.lang.Exception`

    - #### getDefault

          public static ViatraQueryRuntimeUIPlugin getDefault()

      Returns the shared instance
      Returns:
        the shared instance

    - #### logException

          public void logException​(java.lang.String message,
                                   java.lang.Throwable exception)